org.eclipse.gef.requests

## Class CreateRequest

- java.lang.Object
- - org.eclipse.gef.Request
  - - org.eclipse.gef.requests.CreateRequest

All Implemented Interfaces:
  DropRequest

Direct Known Subclasses:
  CreateConnectionRequest

    public class CreateRequest
    extends Request
    implements DropRequest

A Request to create a new object.

### Constructor Summary

Constructors
Constructor and Description
`CreateRequest()` Creates a CreateRequest with the default type.
`CreateRequest(java.lang.Object type)` Creates a CreateRequest with the given type.

### Method Summary

Methods
`protected CreationFactory` `getFactory()` Returns the CreationFactory for this request.
`Point` `getLocation()` Returns the location of the object to be created.
`java.lang.Object` `getNewObject()` Gets the new object from the factory and returns that object.
`java.lang.Object` `getNewObjectType()` Returns the type of the new object.
`Dimension` `getSize()` Returns the size of the object to be created.
`boolean` `isSnapToEnabled()` Returns `true` if snap-to is enabled
`void` `setFactory(CreationFactory factory)` Sets the factory to be used when creating the new object.
`void` `setLocation(Point location)` Sets the location where the new object will be placed.
`void` `setSize(Dimension size)` Sets the size of the new object.
`void` `setSnapToEnabled(boolean value)` Used to set whether snap-to is being performed.

### Methods inherited from class org.eclipse.gef.Request

`getExtendedData, getType, setExtendedData, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateRequest

    public CreateRequest()

Creates a CreateRequest with the default type.

#### CreateRequest

    public CreateRequest(java.lang.Object type)

Creates a CreateRequest with the given type.

Parameters:
  `type` - The type of request.

### Method Detail

#### getFactory

    protected CreationFactory getFactory()

Returns the CreationFactory for this request.

Returns:
  the CreationFactory

#### getLocation

    public Point getLocation()

Returns the location of the object to be created.

Specified by:
  `getLocation` in interface `DropRequest`
Returns:
  the location

#### getNewObject

    public java.lang.Object getNewObject()

Gets the new object from the factory and returns that object.

Returns:
  the new object

#### getNewObjectType

    public java.lang.Object getNewObjectType()

Returns the type of the new object.

Returns:
  the type of the new object

#### getSize

    public Dimension getSize()

Returns the size of the object to be created.

Returns:
  the size

#### isSnapToEnabled

    public boolean isSnapToEnabled()

Returns `true` if snap-to is enabled

Returns:
  `true` if the request is for a creation with snap-to enabled
Since:
  3.7

#### setFactory

    public void setFactory(CreationFactory factory)

Sets the factory to be used when creating the new object.

Parameters:
  `factory` - the factory

#### setLocation

    public void setLocation(Point location)

Sets the location where the new object will be placed.

Parameters:
  `location` - the location

#### setSize

    public void setSize(Dimension size)

Sets the size of the new object.

Parameters:
  `size` - the size

#### setSnapToEnabled

    public void setSnapToEnabled(boolean value)

Used to set whether snap-to is being performed.

Parameters:
  `value` - `true` if the request is for a creation with snap-to enabled
Since:
  3.7